Claim pending Slack installation
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/slack/oauth/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"setup_token": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/slack/oauth/claim"
payload = { "setup_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({setup_token: '<string>'})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/slack/oauth/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enterprise_id": "<string>",
"enterprise_name": "<string>",
"installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enterprise_install": true,
"team_id": "<string>",
"team_name": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Slack
Claim pending Slack installation
Claim a pending Slack Marketplace installation for the current Neo team.
POST
/
api
/
v1
/
slack
/
oauth
/
claim
Claim pending Slack installation
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
Opaque setup token returned after a Slack Marketplace install
Response
Slack installation claimed successfully
Current Slack installation status
Available options:
not_connected, active, pending_unclaimed, revoked_external, disconnected_by_user Slack enterprise (org) ID, present only for org-wide installs
Slack enterprise (org) name, present only for org-wide installs
Installation ID (only present if connected)
True when installed org-wide on a Slack Enterprise Grid org
Slack workspace ID (only present if connected)
Slack workspace name (only present if connected)
⌘I

